package com.huigou.topsun.proofing.application;

import com.huigou.topsun.proofing.domain.model.ProofingMake;
import com.huigou.topsun.proofing.domain.query.ProofingApplyAndProductQueryRequest;
import com.huigou.topsun.proofing.domain.query.ProofingApplyQuery;
import com.huigou.topsun.proofing.domain.query.ProofingMakeQueryRequest;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;
import com.topsunit.query.annotations.Mapper;

import java.util.Map;

/**
 * @author yonghuan
 */
public interface ProofingMakeApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/proofing/proofingMake.xml";


    Map<String, Object> slicedProofingMakeQuery(ProofingMakeQueryRequest query);

    /**
     *编辑打样制造信息
     * @param proofingMake
     */
    void saveProofingMake(ProofingMake proofingMake);


    ProofingMakeVo getProofingMakeVoById(String proofingMakeId);

}
