$(document).ready(function () {
    //生成操作文件的窗口
    bindQueryEvent();
    $('#proofingMakeDetail').fileList();
    $('#proofingMakeDetail .col-xs-4').removeClass('col-sm-2');
    $('#proofingMakeDetail .col-xs-4').addClass('col-sm-3');
    $('#proofingMakeDetail .col-xs-8').removeClass('col-sm-10');
    $('#proofingMakeDetail .col-xs-8').addClass('col-sm-9');
    initialize();
});


function initialize(){
    /**
     * 如果是详情页，展示数据，隐藏按钮
     * @type {boolean}
     */
    let isDetailPage = ($("#isDetailPage").val() === "true");
    if(isDetailPage){
        let proofingApplyNo = $("#proofingApplyNo").val();
        let productId = $("#productId").val();
        if(proofingApplyNo!=null&& proofingApplyNo !== ''){
            ajaxRenderDataGoForm(proofingApplyNo);
        }
        if(productId!=null&& productId !== ''){
            showTechnologyTable(productId);
        }
        $("#formButton").hide();
    }
}

//绑定selectC
function bindQueryEvent() {
    $('#proofingApplyNo').searchbox({
        type: "proofing", name: "proofingApplyCode",
        onChange: function (value, data) {
            ajaxRenderDataGoForm(data.proofingApplyNo);
            showTechnologyTable(data.productId);
        }
    });
}


function saveForm(){
    var _self=this;
    $('#submitForm').ajaxSubmit({
        url : web_app.name + '/proofingMake/saveProofingMake.ajax',
        param:{},
        success : function(data) {
            if (data == "1"){
                Public.successTip("保存成功！");
            }
            _self.close();
        }
    });

    let productId=$("#productId").val();
    let proofingMakeNo=$("#proofingMakeNo").val();
    UICtrl.addTabItem({
        tabid: 'workInstructionApply'+proofingMakeNo,
        text: "作业指导申请书",
        url: web_app.name + '/workInstructionApply/forwardWorkInstructionApply.do?productId='+productId
    });
}


function resetForm(obj) {
    $(obj).formClean();
}

function ajaxRenderDataGoForm(proofingApplyNo){
    Public.ajax(web_app.name + '/proofingMake/queryProofingApply.ajax',{proofingApplyNo:proofingApplyNo},function (data){
        $('#submitForm').formSet(data);
    })
}