package com.huigou.topsun.proofing.application;

import com.huigou.topsun.proofing.domain.model.ProofingApply;
import com.huigou.topsun.proofing.domain.query.ProofingApplyQuery;
import com.huigou.topsun.proofing.domain.vo.ProofingApplyAndProductVo;
import java.util.Map;

public interface ProofingApplyApplication {


     String QUERY_XML_FILE_PATH = "config/topsun/proofing/proofingApply.xml";
    String PROCESS_DEFINITION_KEY = "proofingProc";

    ProofingApply loadProofingApplyById(String id);

    Map<String, Object> slicedQuery(ProofingApplyQuery query);


    ProofingApplyAndProductVo getProofingApplyByProofingApplyNo(String proofingApplyNo);

    /**
     * 根据ProofingApply获得样品和产品外观信息
     * @return
     */
    ProofingApplyAndProductVo getProofingApplyAndLookedVoByPAId(String id);





}
