package com.huigou.topsun.proofing.application.impl;

import com.huigou.topsun.proofing.application.WorkInstructionApplication;
import com.huigou.topsun.proofing.domain.model.WorkInstruction;
import com.huigou.topsun.proofing.repository.WorkInstructionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WorkInstructionApplicationImpl implements WorkInstructionApplication {

    @Autowired
    WorkInstructionRepository workInstructionRepository;


    @Override
    public String saveWorkInstruction(WorkInstruction workInstruction) {
        workInstructionRepository.save(workInstruction);
        return workInstruction.getWorkInstructionId();
    }
}
